/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TcusteconomicgroupPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "GROUPPERSONCODE")
    private long grouppersoncode;
    @Basic(optional = false)
    @Column(name = "PERSONCODE")
    private long personcode;
    @Basic(optional = false)
    @Column(name = "COMPANYCODE")
    private long companycode;

    public TcusteconomicgroupPK() {
    }

    public TcusteconomicgroupPK(long grouppersoncode, long personcode, long companycode) {
        this.grouppersoncode = grouppersoncode;
        this.personcode = personcode;
        this.companycode = companycode;
    }

    public long getGrouppersoncode() {
        return grouppersoncode;
    }

    public void setGrouppersoncode(long grouppersoncode) {
        this.grouppersoncode = grouppersoncode;
    }

    public long getPersoncode() {
        return personcode;
    }

    public void setPersoncode(long personcode) {
        this.personcode = personcode;
    }

    public long getCompanycode() {
        return companycode;
    }

    public void setCompanycode(long companycode) {
        this.companycode = companycode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) grouppersoncode;
        hash += (int) personcode;
        hash += (int) companycode;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TcusteconomicgroupPK)) {
            return false;
        }
        TcusteconomicgroupPK other = (TcusteconomicgroupPK) object;
        if (this.grouppersoncode != other.grouppersoncode) {
            return false;
        }
        if (this.personcode != other.personcode) {
            return false;
        }
        if (this.companycode != other.companycode) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TcusteconomicgroupPK[ grouppersoncode=" + grouppersoncode + ", personcode=" + personcode + ", companycode=" + companycode + " ]";
    }
    
}
